Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.explorer
Interface ExplorerFilter

All Known Implementing Classes:
  DefaultExplorerFilter, HiddenClassesFilter

    public interface ExplorerFilter

An interface for objects that define the policy by which child nodes are added to an ExplorerNode. Objects of this type essentially determine whether a child node shall appear or not, and whether asserted or inferred class relationships shall be taken into account.

Author:
  Holger Knublauch

Method Summary
`boolean` | `getUseInferredSuperclasses()` Checks if the tree should display inferred relationships instead of asserted ones.
`boolean` | `isValidChild(RDFSClass parentClass, RDFSClass childClass)` Checks whether a given superclass (childClass) shall be be displayed as a child of a given subclass node (parentClass).

Method Detail

### getUseInferredSuperclasses

    boolean getUseInferredSuperclasses()

  Checks if the tree should display inferred relationships instead of asserted ones.

  Returns:
    true if inferred superclasses shall be displayed

### isValidChild

    boolean isValidChild(RDFSClass parentClass,
                         RDFSClass childClass)

  Checks whether a given superclass (childClass) shall be be displayed as a child of a given subclass node (parentClass).

  Parameters:
    `parentClass` - the class displayed by the parent node
    `childClass` - the class displayed by the potential child node
  Returns:
    true if childClass shall be used as child node for parentClass

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.